
Infrastructure - Story #2531

Need to document cn.delete() method. 

2012-03-26 20:26 - Rob Nahf

Status: Closed Start date: 2012-03-26

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.17-Block.3.1   

Story Points:    

Description

in MethodCrossReference.xls.

see story #2500.  No use case/ rationale.

History

#1 - 2012-03-27 02:33 - Dave Vieglais

- Status changed from New to In Progress

There is no publicly exposed delete method on the Coordinating Nodes. The delete method that is exposed by Metacat is to support marking records

as deleted when detected by the synchronization process. Since this is an internal only method, it would seem superfluous to document it as part of

the API (though admittedly, there are other CN methods in teh API docs that are internal only).

#2 - 2012-04-23 17:07 - Dave Vieglais

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.17-Block.3.1

- Position set to 10

#3 - 2012-05-04 22:50 - Rob Nahf

now cn.archive()

#4 - 2012-05-07 14:56 - Dave Vieglais

- Status changed from In Progress to Closed

Completed - See http://mule1.dataone.org/ArchitectureDocs-current/changelog.html#id1
